WPParserInternal::GraphicInfo Struct Reference

Internal: class to store the Graphic properties. More...

## Public Member Functions

| GraphicInfo ()

## Public Attributes

int | m_width
| the first character More...
int | m_graphicWidth
| the graphic width More...
int | m_flags [7]
| some flag More...

## Friends

std::ostream & | operator<< (std::ostream &o, GraphicInfo const &g)
| operator<< More...

## Detailed Description

Internal: class to store the Graphic properties.

## Constructor & Destructor Documentation

WPParserInternal::GraphicInfo::GraphicInfo | ( |  | ) |

inline

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | GraphicInfo const & | g
| ) |  |

friend

operator<<

## Member Data Documentation

int WPParserInternal::GraphicInfo::m_flags[7]

some flag

Referenced by GraphicInfo(), and WPParser::readGraphic().

int WPParserInternal::GraphicInfo::m_graphicWidth

the graphic width

Referenced by WPParser::readGraphic().

int WPParserInternal::GraphicInfo::m_width

the first character

the line width

Referenced by WPParser::readGraphic().

The documentation for this struct was generated from the following file:

- WPParser.cxx